Skip to main content

General Ledger

Base URL: https://api.covasoft.net/generalledger

Endpoints​

EndpointDescription
GET v1/Companies({CompanyId})/AccountsReturns All the General Ledger Accounts in a Company
GET v1/Companies({CompanyId})/Accounts({GLAccountId})Returns Details for a General Ledger Account
GET v1/Companies({CompanyId})/Transactions?filter={filter}Returns General Ledger Transactions by Date Range

GET v1/Companies({CompanyId})/Accounts​

Returns All the General Ledger Accounts in a Company

Base URL:​

https://api.covasoft.net/generalledger

Example of a call would be:​

https://api.covasoft.net/generalledger/v1/Companies({CompanyId})/Accounts

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

All the General Ledger Accounts in a Company

Collection of GlListOfAccountsReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
AccountNamestringNone.
AccountNumberintegerNone.
AccountCategorystringNone.
SubCategorystringNone.
CurrencyCodestringNone.
IsEnabledbooleanNone.
DescriptionstringNone.
CustomPropertiesstringNone.
DateCreatedUTCdateNone.
CreatedByUserIDintegerNone.
CreatedByUserNamestringNone.
DateUpdatedUTCdateNone.
UpdatedByUserIDintegerNone.
UpdatedByUserNamestringNone.
VersionintegerNone.

Response Formats​

application/json, text/json

[
{
"Id": "1523f04d-4f93-45f3-bcf8-e2fd18948d14",
"AccountName": "sample string 2",
"AccountNumber": 3,
"AccountCategory": "sample string 4",
"SubCategory": "sample string 5",
"CurrencyCode": "sample string 6",
"IsEnabled": true,
"Description": "sample string 8",
"CustomProperties": "sample string 9",
"DateCreatedUTC": "2026-10-02T17:41:28.0801353+00:00",
"CreatedByUserID": 11,
"CreatedByUserName": "sample string 12",
"DateUpdatedUTC": "2026-10-02T17:41:28.0801353+00:00",
"UpdatedByUserID": 14,
"UpdatedByUserName": "sample string 15",
"Version": 16
},
{
"Id": "1523f04d-4f93-45f3-bcf8-e2fd18948d14",
"AccountName": "sample string 2",
"AccountNumber": 3,
"AccountCategory": "sample string 4",
"SubCategory": "sample string 5",
"CurrencyCode": "sample string 6",
"IsEnabled": true,
"Description": "sample string 8",
"CustomProperties": "sample string 9",
"DateCreatedUTC": "2026-10-02T17:41:28.0801353+00:00",
"CreatedByUserID": 11,
"CreatedByUserName": "sample string 12",
"DateUpdatedUTC": "2026-10-02T17:41:28.0801353+00:00",
"UpdatedByUserID": 14,
"UpdatedByUserName": "sample string 15",
"Version": 16
}
]

GET v1/Companies({CompanyId})/Accounts({GLAccountId})​

Returns Details for a General Ledger Account

Base URL:​

https://api.covasoft.net/generalledger

Example of a call would be:​

https://api.covasoft.net/generalledger/v1/Companies({CompanyId})/Accounts({GLAccountId})

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
GLAccountIdThe GL Account Id Guid you want to get Detailsglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

Details for a General Ledger Account

GlAccountDetailsReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
AccountNamestringNone.
AccountNumberstringNone.
AccountCategorystringNone.
SubCategorystringNone.
CurrencyCodestringNone.
IsEnabledbooleanNone.
DescriptionstringNone.
CustomPropertiesstringNone.
DateCreatedUTCdateNone.
CreatedByUserIDintegerNone.
CreatedByUserNamestringNone.
DateUpdatedUTCdateNone.
UpdatedByUserIDintegerNone.
UpdatedByUserNamestringNone.
VersionintegerNone.

Response Formats​

application/json, text/json

{
"Id": "861288f8-e925-4721-84b0-446490d95aa3",
"AccountName": "sample string 2",
"AccountNumber": "sample string 3",
"AccountCategory": "sample string 4",
"SubCategory": "sample string 5",
"CurrencyCode": "sample string 6",
"IsEnabled": true,
"Description": "sample string 8",
"CustomProperties": "sample string 9",
"DateCreatedUTC": "2026-10-02T17:41:28.75202+00:00",
"CreatedByUserID": 11,
"CreatedByUserName": "sample string 12",
"DateUpdatedUTC": "2026-10-02T17:41:28.75202+00:00",
"UpdatedByUserID": 14,
"UpdatedByUserName": "sample string 15",
"Version": 16
}

GET v1/Companies({CompanyId})/Transactions?filter={filter}​

Returns General Ledger Transactions by Date Range

Base URL:​

https://api.covasoft.net/generalledger

Example of a call would be:​

https://api.covasoft.net/generalledger/v1/Companies({CompanyId})/Transactions?$filter=TransactionDateUTC ge datetime'2019-09-11T00:00:00.000' and TransactionDateUTC le datetime'2019-09-12T00:00:00.000' & $skip=0 & $top=200

Odata Filters

Required: filter=TransactionDateUTC ge datetime'{UTCdatetime}' and TransactionDateUTC le datetime'{UTCdatetime}'

This can be no more than a 30 day span

Normal Odata pagings with $top & $skip

Max $top is 200 records

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
CompanyIdThe unique Company Id that was provided in your onboarding pacakage.integerRequired
filterThe Odata filter applied to this call, see Odata filter section abovestringRequired

Body Parameters​

None.

Response Information​

Resource Description​

General Ledger Transactions by Date Range

Collection of GlTransactionsByDateRangeReturn

NameDescriptionTypeAdditional information
Idglobally unique identifierNone.
TransactionDateUTCdateNone.
CreatedByUserIDintegerNone.
CreatedByUserNamestringNone.
EntriesCollection of GLEntryNone.

Response Formats​

application/json, text/json

[
{
"Id": "6636e02b-c721-4d6b-a334-f8bbe124a43a",
"TransactionDateUTC": "2026-10-02T17:41:29.4027576+00:00",
"CreatedByUserID": 3,
"CreatedByUserName": "sample string 4",
"Entries": [
{
"LineNumber": 1,
"AccountID": "8cd0c519-de71-4ebd-aca4-3071dc7b48ff",
"EntityID": 3,
"Debit": 4.1,
"Credit": 5.1,
"Memo": "sample string 6",
"ReferenceID": "9c506b78-766c-4167-bef0-b9111f7ab7be",
"ReferenceType": "sample string 8",
"CustomProperties": {
"CatalogItemID": "f284aa61-721a-4bf0-8f41-9991783d2a3d",
"SupplierID": 1,
"PaymentMethodID": 2,
"PaymentID": "1fce556f-c2b1-4887-8107-27395baaceac",
"TaxID": "7afb0562-6380-4843-9868-951ebfc43daa"
}
},
{
"LineNumber": 1,
"AccountID": "8cd0c519-de71-4ebd-aca4-3071dc7b48ff",
"EntityID": 3,
"Debit": 4.1,
"Credit": 5.1,
"Memo": "sample string 6",
"ReferenceID": "9c506b78-766c-4167-bef0-b9111f7ab7be",
"ReferenceType": "sample string 8",
"CustomProperties": {
"CatalogItemID": "f284aa61-721a-4bf0-8f41-9991783d2a3d",
"SupplierID": 1,
"PaymentMethodID": 2,
"PaymentID": "1fce556f-c2b1-4887-8107-27395baaceac",
"TaxID": "7afb0562-6380-4843-9868-951ebfc43daa"
}
}
]
},
{
"Id": "6636e02b-c721-4d6b-a334-f8bbe124a43a",
"TransactionDateUTC": "2026-10-02T17:41:29.4027576+00:00",
"CreatedByUserID": 3,
"CreatedByUserName": "sample string 4",
"Entries": [
{
"LineNumber": 1,
"AccountID": "8cd0c519-de71-4ebd-aca4-3071dc7b48ff",
"EntityID": 3,
"Debit": 4.1,
"Credit": 5.1,
"Memo": "sample string 6",
"ReferenceID": "9c506b78-766c-4167-bef0-b9111f7ab7be",
"ReferenceType": "sample string 8",
"CustomProperties": {
"CatalogItemID": "f284aa61-721a-4bf0-8f41-9991783d2a3d",
"SupplierID": 1,
"PaymentMethodID": 2,
"PaymentID": "1fce556f-c2b1-4887-8107-27395baaceac",
"TaxID": "7afb0562-6380-4843-9868-951ebfc43daa"
}
},
{
"LineNumber": 1,
"AccountID": "8cd0c519-de71-4ebd-aca4-3071dc7b48ff",
"EntityID": 3,
"Debit": 4.1,
"Credit": 5.1,
"Memo": "sample string 6",
"ReferenceID": "9c506b78-766c-4167-bef0-b9111f7ab7be",
"ReferenceType": "sample string 8",
"CustomProperties": {
"CatalogItemID": "f284aa61-721a-4bf0-8f41-9991783d2a3d",
"SupplierID": 1,
"PaymentMethodID": 2,
"PaymentID": "1fce556f-c2b1-4887-8107-27395baaceac",
"TaxID": "7afb0562-6380-4843-9868-951ebfc43daa"
}
}
]
}
]

Models​

GLEntry
NameDescriptionTypeAdditional information
LineNumberintegerNone.
AccountIDglobally unique identifierNone.
EntityIDintegerNone.
Debitdecimal numberNone.
Creditdecimal numberNone.
MemostringNone.
ReferenceIDglobally unique identifierNone.
ReferenceTypestringNone.
CustomPropertiesGLCustomPropertiesNone.
GLCustomProperties
NameDescriptionTypeAdditional information
CatalogItemIDglobally unique identifierNone.
SupplierIDintegerNone.
PaymentMethodIDintegerNone.
PaymentIDglobally unique identifierNone.
TaxIDglobally unique identifierNone.